Changeset f7a7d66 in mod_gnutls


Ignore:
Timestamp:
Jun 30, 2009, 2:02:38 PM (10 years ago)
Author:
Nokis Mavrogiannopoulos <nmav@…>
Branches:
debian/master, debian/stretch-backports, jessie-backports, master, msva, upstream
Children:
a601e7d
Parents:
7e67487
git-author:
Nikos Mavrogiannopoulos <nmav@…> (06/30/09 14:02:38)
git-committer:
Nokis Mavrogiannopoulos <nmav@…> (06/30/09 14:02:38)
Message:

Allow openpgp certificates that have infinite expiration time. Suggestion by MattLoar? at http://issues.outoforder.cc/view.php?id=96.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • src/gnutls_hooks.c

    r7e67487 rf7a7d66  
    11101110    }
    11111111
    1112     if (expiration_time < cur_time) {
    1113         ap_log_rerror(APLOG_MARK, APLOG_INFO, 0, r,
     1112    if (gnutls_certificate_type_get( ctxt->session) != GNUTLS_CRT_OPENPGP || expiration_time != 0) {
     1113        if (expiration_time < cur_time) {
     1114            ap_log_rerror(APLOG_MARK, APLOG_INFO, 0, r,
    11141115                      "GnuTLS: Failed to Verify Peer: "
    11151116                      "Peer Certificate is expired.");
    1116         expired = 1;
     1117            expired = 1;
     1118        }
    11171119    }
    11181120
Note: See TracChangeset for help on using the changeset viewer.